////// Fragment Shader
precision highp float;
varying highp vec2 textureCoordinate;//原图
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform sampler2D inputImageTexture3;
uniform mat4 mBlendMatrix;
const float threshold = 0.002;
uniform int antiType;

void main(){
    vec4 shapeColor = texture2D(inputImageTexture2, vec2(textureCoordinate.x*imageRatio, textureCoordinate.y));

    vec3 resultColor = bgColor.rgb* (1.0 - fgColor.a) + fgColor.rgb ;
    gl_FragColor= vec4(resultColor,bgColor.a * (1.0 - fgColor.a) + fgColor.a);

//    vec3 resultColor = mix(bgColor.rgb,fgColor.rgb ,fgColor.a);
//    gl_FragColor= vec4(resultColor,max(fgColor.a,bgColor.a));


}


