////// Fragment Shader
precision highp float;
varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;

uniform int mNeedDrawBound;
uniform float mContralColor[6];
uniform mat4 mBlendMatrix;

const float off = 0.2;

void main() {
    vec4 coordinate = vec4(textureCoordinate, 0., 1.);
    coordinate = mBlendMatrix * coordinate;
    mediump vec4 contralAreaTexture = texture2D(inputImageTexture2, textureCoordinate) ;
    mediump vec4 pipColor = texture2D(inputImageTexture, coordinate.xy);
    gl_FragColor = contralAreaTexture;
}